## python-pygtrie 2.2

=== debian/changelog ===
python-pygtrie (2.2-3) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090157).
  * Use pybuild-plugin-pyproject.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Simplify some debhelper overrides.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 17:51:34 +0000

python-pygtrie (2.2-2) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-pygtrie-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Nilesh Patra ]
  * d/copyright: s/http/https/
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add patch to fix autopkgtests with python 3.10 (Closes: #1001427)
    + Thanks to Steve Langasek

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 13:00:50 +0530

python-pygtrie (2.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 20:35:30 +0100

python-pygtrie (2.2-1) unstable; urgency=medium

  * Initial release (Closes: #897317)

 -- Joel Cross <joel@kazbak.co.uk>  Tue, 01 May 2018 12:36:21 +0100
