=== debian/control ===
Source: python-pygtrie
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joel Cross <joel@kazbak.co.uk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/google/pygtrie
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygtrie.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygtrie
Testsuite: autopkgtest-pkg-python

Package: python3-pygtrie
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pygtrie-doc
Description: Python library implementing a trie data structure (Python 3)
 Trie data structure, also known as radix or prefix tree, is a tree
 associating keys to values where all the descendants of a node have
 a common prefix (associated with that node).
 .
 The trie module contains Trie, CharTrie and StringTrie classes each
 implementing a mutable mapping interface, i.e. dict interface. As
 such, in most circumstances, Trie could be used as a drop-in
 replacement for a dict, but the prefix nature of the data structure
 is trie's real strength.
 .
 The module also contains PrefixSet class which uses a trie to store
 a set of prefixes such that a key is contained in the set if it or
 its prefix is stored in the set.
 .
 This package installs the library for Python 3.

Package: python-pygtrie-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Python library implementing a trie data structure (common documentation)
 Trie data structure, also known as radix or prefix tree, is a tree
 associating keys to values where all the descendants of a node have
 a common prefix (associated with that node).
 .
 The trie module contains Trie, CharTrie and StringTrie classes each
 implementing a mutable mapping interface, i.e. dict interface. As
 such, in most circumstances, Trie could be used as a drop-in
 replacement for a dict, but the prefix nature of the data structure
 is trie's real strength.
 .
 The module also contains PrefixSet class which uses a trie to store
 a set of prefixes such that a key is contained in the set if it or
 its prefix is stored in the set.
 .
 This is the common documentation package.
